Skip to content

seedance-1-5-pro

POST https://www.kkiai.com/volc/v1/contents/generations/tasks

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
modelstringRequiredThe ID of the model you need to call
contentarray[object]RequiredInformation input to the model for video generation, supporting text and image information.
  └ typestringRequired
  └ textstringOptionalText content input to the model, describing the expected video to be generated
  └ image_urlobjectRequired
  └ rolestringRequired

Request Example

json
{
    "model": "doubao-seedance-1-5-pro-251215",
    "content": [
        {
            "type": "text",
            "text": "The girl is holding a fox. She opens her eyes and looks gently at the camera, while the fox cuddles her in a friendly way. The camera slowly pulls back, the girl's hair moves in the wind, and the sound of the wind can be heard."
        },
        {
            "type": "image_url",
            "image_url": {
                "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/i2v_foxrgirl.png"
            }
        }
    ],
  
    "ratio": "adaptive",
    "duration": 4,
    "watermark": false
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/volc/v1/contents/generations/tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "doubao-seedance-1-5-pro-251215",
    "content": [
        {
            "type": "text",
            "text": "The girl is holding a fox. She opens her eyes and looks gently at the camera, while the fox cuddles her in a friendly way. The camera slowly pulls back, the girl's hair moves in the wind, and the sound of the wind can be heard."
        },
        {
            "type": "image_url",
            "image_url": {
                "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/i2v_foxrgirl.png"
            }
        }
    ],
  
    "ratio": "adaptive",
    "duration": 4,
    "watermark": false
}'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
idstringRequired
statusstringRequired

Response Example

json
{
    "id": "cgt-20250918170228-dw9rb",
    "status": "submitted"
}